//---------------------------------------------------------------------------
/** ݒ_CAO
 * TODO XbhꗗŔwiF̐F̂قɃtHg̐FtHgJX^}CY
 */
/*
 * Copyright (c) 2002-2005 shimitei
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "OptionUnit.h"
#include "config.h"
#include "misc.h"
#include "MainUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "SHDocVw_OCX"
#pragma resource "*.dfm"
//TSettingForm *SettingForm;
//---------------------------------------------------------------------------
/** RXgN^
 */
__fastcall TSettingForm::TSettingForm(TComponent* Owner)
    : TForm(Owner)
{
    // ftHgy[W
    PageControl->ActivePage = configTabSheet;
}
//---------------------------------------------------------------------------
/** LZ{^NbN
 */
void __fastcall TSettingForm::cancelButtonClick(TObject *Sender)
{
    Close();
}
//---------------------------------------------------------------------------
/** OK{^NbN
 * ŐݒXV/ۑs
 */
void __fastcall TSettingForm::okButtonClick(TObject *Sender)
{
    gp_config->importFromDialog( (long)this ) ;
    gp_config->loadGlobal() ;
    Close() ;
}
//---------------------------------------------------------------------------
/** OuEUɁuWṽuEUݒ
 * 󔒂w肷邾
 * WXgꍇ
 * Reg->RootKey = HKEY_CLASSES_ROOT ;
 * Reg->OpenKeyReadOnly( "\\http\\shell\\open\\command" ) ;
 */
void __fastcall TSettingForm::defaultBrowserButtonClick(TObject *Sender)
{
    browserEdit->Text = "" ;
}
//---------------------------------------------------------------------------
void __fastcall TSettingForm::browserButtonClick(TObject *Sender)
{
    TOpenDialog *OpenDialog = new TOpenDialog( this ) ;
    OpenDialog->Title = "uEU̎w" ;

    if ( OpenDialog->Execute() )
    {
        browserEdit->Text = OpenDialog->FileName ;
    }

    delete OpenDialog ;
}
//---------------------------------------------------------------------------
/** {[hꗗ/Xbhꗗ̃tHgTCYݒ
 */
void __fastcall TSettingForm::bbsMenuFontButtonClick(TObject *Sender)
{
    TFontDialog *dialog = new TFontDialog( this ) ;

    dialog->Font->Size = ((TButton*)Sender)->Tag ;
    if ( dialog->Execute() )
    {
        int size = dialog->Font->Size ;
        ((TButton*)Sender)->Tag = size ;
        ((TButton*)Sender)->Caption = size ;
    }

    delete dialog ;
}
//---------------------------------------------------------------------------
/** F擾Eݒ
 */
void __fastcall TSettingForm::coloNewThreadButtonClick(TObject *Sender)
{
    TColorDialog *dialog = new TColorDialog( this ) ;
    dialog->Options << cdFullOpen ;

    int tag = ((TButton*)Sender)->Tag ;
    switch ( tag )
    {
        case 0:
            dialog->Color = subscribeLabel->Color;
            break ;
        case 1:
            dialog->Color = threadNewLabel->Color;
            break ;
        case 2:
            dialog->Color = threadUnreadLabel->Color;
            break ;
        case 3:
            dialog->Color = threadLogExistLabel->Color;
            break ;
        case 4:
            dialog->Color = threadNologLabel->Color;
            break ;
        case 5:
            dialog->Color = thread1000OverLabel->Color;
            break ;
        case 6:
            dialog->Color = threadPastLabel->Color;
            break ;
    }

    if ( dialog->Execute() )
    {
        switch ( tag )
        {
        case 0:
            subscribeLabel->Color = dialog->Color ;
            break ;
        case 1:
            threadNewLabel->Color = dialog->Color ;
            break ;
        case 2:
            threadUnreadLabel->Color = dialog->Color ;
            break ;
        case 3:
            threadLogExistLabel->Color = dialog->Color ;
            break ;
        case 4:
            threadNologLabel->Color = dialog->Color ;
            break ;
        case 5:
            thread1000OverLabel->Color = dialog->Color ;
            break ;
        case 6:
            threadPastLabel->Color = dialog->Color ;
            break ;
        }
    }
    
    delete dialog ;
}
//---------------------------------------------------------------------------
void __fastcall TSettingForm::FormCreate(TObject *Sender)
{
    gp_config->exportToDialog( (long)this ) ;
}
//---------------------------------------------------------------------------

