//---------------------------------------------------------------------------
/** ݒ_CAO
 */
/*
 * Copyright (c) 2002-2005 shimitei
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
//---------------------------------------------------------------------------
#ifndef OptionUnitH
#define OptionUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include "SHDocVw_OCX.h"
#include <OleCtrls.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TSettingForm : public TForm
{
__published:	// IDE Ǘ̃R|[lg
    TPageControl *PageControl;
    TButton *okButton;
    TButton *cancelButton;
    TTabSheet *configTabSheet;
    TCheckBox *subjectGzipCheckBox;
    TGroupBox *threadGroupBox;
    TCheckBox *newTabCheckBox;
    TCheckBox *tabMultiLineCheckBox;
    TRadioGroup *tabStyleRadioGroup;
    TLabel *browserLabel;
    TEdit *browserEdit;
    TButton *browserButton;
    TButton *defaultBrowserButton;
    TCheckBox *debugLogCheckBox;
    TTabSheet *lookFeelTabSheet;
    TGroupBox *bbsMenuGroupBox;
    TLabel *bbsMenuFontLabel;
    TButton *bbsMenuFontButton;
    TLabel *subscribeLabel;
    TButton *colorSubscribeButton;
    TGroupBox *subjectGroupBox;
    TButton *threadFontButton;
    TLabel *subjectFontLabel;
    TLabel *threadNewLabel;
    TLabel *threadUnreadLabel;
    TButton *coloNewThreadButton;
    TButton *colorUnreadButton;
    TButton *colorLogExistButton;
    TLabel *threadLogExistLabel;
    TButton *colorNologButton;
    TLabel *threadNologLabel;
    TButton *colorOver1000Button;
    TLabel *thread1000OverLabel;
    TLabel *threadPastLabel;
    TButton *colorPastButton;
    void __fastcall cancelButtonClick(TObject *Sender);
    void __fastcall okButtonClick(TObject *Sender);
    void __fastcall defaultBrowserButtonClick(TObject *Sender);
    void __fastcall browserButtonClick(TObject *Sender);
    void __fastcall bbsMenuFontButtonClick(TObject *Sender);
    void __fastcall coloNewThreadButtonClick(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
private:	// [U[錾
public:		// [U[錾
    __fastcall TSettingForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
//extern PACKAGE TSettingForm *SettingForm;
//---------------------------------------------------------------------------
#endif
