//---------------------------------------------------------------------------
/** XL֘A
 */
/*
 * Copyright (c) 2002-2005 shimitei
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
//---------------------------------------------------------------------------
#include "skin.h"
#include "misc.h"

ASkin g_skin ; /* O[o */

#define DIRNAME_SKIN "\\skin"
#define FILENAME_SKIN_HEADER    "Header.html"
#define FILENAME_SKIN_RES       "Res.html"
#define FILENAME_SKIN_NEWRES    "NewRes.html"
#define FILENAME_SKIN_BOOKMARK  "Bookmark.html"
#define FILENAME_SKIN_FOOTER    "Footer.html"

const char* g_htmlHeader = "<html><head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=Shift_JIS\"></head><body>" ;
//---------------------------------------------------------------------------
/** RXgN^
 * ftHgXLݒ
 */
ASkin::ASkin(void)
{
    m_header    = g_htmlHeader ;
    m_header    += "<a href=\"#all\">ׂĕ\</a> <a href=\"#midoku\">ǂ</a><dl>" ;

    m_res       = "<dt><NUMBER/> <font color=green><NAME/></b></font> "
                  "[<font color=blue><MAIL/></b></font>] "
                  "<DATE/><dd><MESSAGE/><br><br>"
                  ;
    m_newRes    = m_res ;

    m_bookmark  = "<hr><font color=red>܂œǂ</font><hr>" ;

    m_footer    = "</dl><hr><br><br><br><br><br><br><br><br><br><br><br><br></body></html>" ;
}
//---------------------------------------------------------------------------
/** XL̓ǂݍ
 * ΐ
 */
void __fastcall ASkin::load(void)
{
    TStringList *html = new TStringList() ;

    AnsiString skinDir = g_global.getExeDir() + DIRNAME_SKIN ;
    CreateDir( skinDir ) ;
    skinDir += "\\" ;

    AnsiString htmlpath ;
    
    // wb_[
    htmlpath = skinDir + FILENAME_SKIN_HEADER ;
    if ( FileExists( htmlpath ) )
    {
        html->LoadFromFile( htmlpath ) ;
        m_header = html->Text ;
    }
    else
    {
        html->Text = m_header ;
        html->SaveToFile( htmlpath ) ;
    }

    // X
    htmlpath = skinDir + FILENAME_SKIN_RES ;
    if ( FileExists( htmlpath ) )
    {
        html->LoadFromFile( htmlpath ) ;
        m_res = html->Text ;
    }
    else
    {
        html->Text = m_res ;
        html->SaveToFile( htmlpath ) ;
    }

    // VX
    htmlpath = skinDir + FILENAME_SKIN_NEWRES ;
    if (FileExists(htmlpath))
    {
        html->LoadFromFile( htmlpath ) ;
        m_newRes = html->Text ;
    }
    else
    {
        html->Text = m_newRes ;
        html->SaveToFile( htmlpath ) ;
    }

    // 
    htmlpath = skinDir + FILENAME_SKIN_BOOKMARK ;
    if ( FileExists( htmlpath ) )
    {
        html->LoadFromFile( htmlpath ) ;
        m_bookmark = html->Text ;
    }
    else
    {
        html->Text = m_bookmark ;
        html->SaveToFile( htmlpath ) ;
    }

    // tb^[
    htmlpath = skinDir + FILENAME_SKIN_FOOTER ;
    if ( FileExists( htmlpath ) )
    {
        html->LoadFromFile( htmlpath ) ;
        m_footer = html->Text ;
    }
    else
    {
        html->Text = m_footer ;
        html->SaveToFile( htmlpath ) ;
    }
    
    delete html ;
}
//---------------------------------------------------------------------------

